org.apache.cassandra.tools.nodetool.stats

## Class StatsKeyspace

- java.lang.Object
- - org.apache.cassandra.tools.nodetool.stats.StatsKeyspace

    public class StatsKeyspace
    extends java.lang.Object

### Field Summary

Fields
`java.lang.String` `name`
`int` `pendingFlushes`
`long` `readCount`
`java.util.List<StatsTable>` `tables`
`long` `writeCount`

### Constructor Summary

Constructors
Constructor and Description
`StatsKeyspace(NodeProbe probe, java.lang.String keyspaceName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add(ColumnFamilyStoreMBean table)`
`double` `readLatency()`
`double` `writeLatency()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### tables

    public java.util.List<StatsTable> tables

#### name

    public java.lang.String name

#### readCount

    public long readCount

#### writeCount

    public long writeCount

#### pendingFlushes

    public int pendingFlushes

### Constructor Detail

#### StatsKeyspace

    public StatsKeyspace(NodeProbe probe,
                         java.lang.String keyspaceName)

### Method Detail

#### add

    public void add(ColumnFamilyStoreMBean table)

#### readLatency

    public double readLatency()

#### writeLatency

    public double writeLatency()